Bug 677697 - ups: in server mode upsmon should be started optionally
Summary: ups: in server mode upsmon should be started optionally
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nut
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Hlavinka
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-02-15 15:58 UTC by Sandro Bonazzola
Modified: 2011-06-21 17:35 UTC (History)
1 user (show)

Fixed In Version: nut-2.6.1-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-21 17:33:07 UTC
Type: ---


Attachments (Terms of Use)

Description Sandro Bonazzola 2011-02-15 15:58:53 UTC
Description of problem:
Setting SERVER="yes" in /etc/sysconfig/ups starts 3 daemons:
- upsdrvctl
- upsd
- upsmon

It is not actually possible run the ups service without the upsmon daemon.
It should be possible to disable the upsmon daemon.

Version-Release number of selected component (if applicable):
nut-client-2.6.0-1.fc14.i686


Actual result:
You can have upsd and upsmon or upsmon only but not upsd only.

Expected result:
You can have also upsd only.

Comment 1 Michal Hlavinka 2011-02-18 13:17:03 UTC
It was already planned to change /etc/sysconfig/ups , but the changes did not allow server mode without upsmon. I'll ask upstream so we are compatible with other linux distributions.

Comment 2 Sandro Bonazzola 2011-05-10 12:14:17 UTC
Any news from upstream?

Comment 3 Michal Hlavinka 2011-05-10 12:35:52 UTC
Yes and no. We're still discussing this and also much bigger change (because there will be no /etc/sysconfig/ups in the future, just two services: ups and upsmon). Right know we're waiting for input from other packagers from distributions (OpenSuSE,...)

Comment 4 Michal Hlavinka 2011-05-20 13:26:03 UTC
It seems it's going to take a lot of time, so I've fixed it independently.
If you want to use just upsdriver and ups daemon without ups monitor, update nut packages and set MODE=serveronly in /etc/sysconfig/ups

Comment 5 Fedora Update System 2011-05-20 14:46:49 UTC
nut-2.6.0-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nut-2.6.0-7.fc15

Comment 6 Fedora Update System 2011-05-20 14:48:31 UTC
nut-2.6.0-6.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nut-2.6.0-6.fc14

Comment 7 Fedora Update System 2011-05-20 20:55:12 UTC
Package nut-2.6.0-6.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing nut-2.6.0-6.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/nut-2.6.0-6.fc14
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2011-05-23 09:03:17 UTC
nut-2.6.0-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nut-2.6.0-7.fc14

Comment 9 Fedora Update System 2011-06-07 10:39:36 UTC
nut-2.6.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/nut-2.6.1-1.fc14

Comment 10 Fedora Update System 2011-06-07 10:39:44 UTC
nut-2.6.1-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/nut-2.6.1-1.fc15

Comment 11 Fedora Update System 2011-06-21 17:32:56 UTC
nut-2.6.1-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2011-06-21 17:35:27 UTC
nut-2.6.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.